import React from 'react';
import { Locale } from '../../helpers';
export interface CalendarProps extends Omit<React.HTMLProps<HTMLDivElement>, 'onChange'> {
    /** Month/year to base other dates around */
    date: Date;
    /** How to format months in dropdown according to date-fns */
    monthFormat?: string;
    /** How to format days in header according to date-fns */
    dayFormat?: string;
    /** How to format days in header for screen readers according to date-fns */
    longDayFormat?: string;
    /** How to format days in buttons according to date-fns */
    buttonFormat?: string;
    /** Callback when date is selected */
    onChange?: (date: Date) => void;
    /** Specify the locale of the date. */
    locale?: Locale;
    /** Functions that returns if a date is valid and selectable */
    validators?: [(date: Date) => boolean];
    /** Classname to add to outer div */
    className?: string;
    /** @hide Internal prop to allow pressing escape in select menu to not close popover */
    onSelectToggle?: (open: boolean) => void;
}
export declare const CalendarMonth: ({ date: dateProp, monthFormat, dayFormat, longDayFormat, buttonFormat, onChange, locale, validators, className, onSelectToggle, ...props }: CalendarProps) => JSX.Element;
//# sourceMappingURL=CalendarMonth.d.ts.map